package com.mortals.xhx.module.ent.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.ent.model.EntLifeMatterEntity;
/**
 * 企业周期事项主查询对象
 *
 * @author zxfei
 * @date 2025-03-17
 */
public class EntLifeMatterQuery extends EntLifeMatterEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 企业生命周期id */
    private Long lifeCycleIdStart;

    /** 结束 企业生命周期id */
    private Long lifeCycleIdEnd;

    /** 增加 企业生命周期id */
    private Long lifeCycleIdIncrement;

    /** 企业生命周期id列表 */
    private List <Long> lifeCycleIdList;

    /** 企业生命周期id排除列表 */
    private List <Long> lifeCycleIdNotList;

    /** 生命周期名称 */
    private List<String> lifeCycleNameList;

    /** 生命周期名称排除列表 */
    private List <String> lifeCycleNameNotList;
    /** 开始 办理单位ID */
    private Long deptIdStart;

    /** 结束 办理单位ID */
    private Long deptIdEnd;

    /** 增加 办理单位ID */
    private Long deptIdIncrement;

    /** 办理单位ID列表 */
    private List <Long> deptIdList;

    /** 办理单位ID排除列表 */
    private List <Long> deptIdNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 事项组名称 */
    private List<String> matterGroupNameList;

    /** 事项组名称排除列表 */
    private List <String> matterGroupNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<EntLifeMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<EntLifeMatterQuery> andConditionList;

    public EntLifeMatterQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 企业生命周期id
     * @return lifeCycleIdStart
     */
    public Long getLifeCycleIdStart(){
        return this.lifeCycleIdStart;
    }

    /**
     * 设置 开始 企业生命周期id
     * @param lifeCycleIdStart
     */
    public void setLifeCycleIdStart(Long lifeCycleIdStart){
        this.lifeCycleIdStart = lifeCycleIdStart;
    }

    /**
     * 获取 结束 企业生命周期id
     * @return $lifeCycleIdEnd
     */
    public Long getLifeCycleIdEnd(){
        return this.lifeCycleIdEnd;
    }

    /**
     * 设置 结束 企业生命周期id
     * @param lifeCycleIdEnd
     */
    public void setLifeCycleIdEnd(Long lifeCycleIdEnd){
        this.lifeCycleIdEnd = lifeCycleIdEnd;
    }

    /**
     * 获取 增加 企业生命周期id
     * @return lifeCycleIdIncrement
     */
    public Long getLifeCycleIdIncrement(){
        return this.lifeCycleIdIncrement;
    }

    /**
     * 设置 增加 企业生命周期id
     * @param lifeCycleIdIncrement
     */
    public void setLifeCycleIdIncrement(Long lifeCycleIdIncrement){
        this.lifeCycleIdIncrement = lifeCycleIdIncrement;
    }

    /**
     * 获取 企业生命周期id
     * @return lifeCycleIdList
     */
    public List<Long> getLifeCycleIdList(){
        return this.lifeCycleIdList;
    }

    /**
     * 设置 企业生命周期id
     * @param lifeCycleIdList
     */
    public void setLifeCycleIdList(List<Long> lifeCycleIdList){
        this.lifeCycleIdList = lifeCycleIdList;
    }

    /**
     * 获取 企业生命周期id
     * @return lifeCycleIdNotList
     */
    public List<Long> getLifeCycleIdNotList(){
        return this.lifeCycleIdNotList;
    }

    /**
     * 设置 企业生命周期id
     * @param lifeCycleIdNotList
     */
    public void setLifeCycleIdNotList(List<Long> lifeCycleIdNotList){
        this.lifeCycleIdNotList = lifeCycleIdNotList;
    }


    /**
     * 获取 生命周期名称
     * @return lifeCycleNameList
     */
    public List<String> getLifeCycleNameList(){
        return this.lifeCycleNameList;
    }

    /**
     * 设置 生命周期名称
     * @param lifeCycleNameList
     */
    public void setLifeCycleNameList(List<String> lifeCycleNameList){
        this.lifeCycleNameList = lifeCycleNameList;
    }

    /**
     * 获取 生命周期名称
     * @return lifeCycleNameNotList
     */
    public List<String> getLifeCycleNameNotList(){
        return this.lifeCycleNameNotList;
    }

    /**
     * 设置 生命周期名称
     * @param lifeCycleNameNotList
     */
    public void setLifeCycleNameNotList(List<String> lifeCycleNameNotList){
        this.lifeCycleNameNotList = lifeCycleNameNotList;
    }

    /**
     * 获取 开始 办理单位ID
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 办理单位ID
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 办理单位ID
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 办理单位ID
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 办理单位ID
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 办理单位ID
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 办理单位ID
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 办理单位ID
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 创建用户名称
     * @return createUserNameList
     */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
     * 获取 创建用户名称
     * @return createUserNameNotList
     */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameNotList
     */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 事项组名称
     * @return matterGroupNameList
     */
    public List<String> getMatterGroupNameList(){
        return this.matterGroupNameList;
    }

    /**
     * 设置 事项组名称
     * @param matterGroupNameList
     */
    public void setMatterGroupNameList(List<String> matterGroupNameList){
        this.matterGroupNameList = matterGroupNameList;
    }

    /**
     * 获取 事项组名称
     * @return matterGroupNameNotList
     */
    public List<String> getMatterGroupNameNotList(){
        return this.matterGroupNameNotList;
    }

    /**
     * 设置 事项组名称
     * @param matterGroupNameNotList
     */
    public void setMatterGroupNameNotList(List<String> matterGroupNameNotList){
        this.matterGroupNameNotList = matterGroupNameNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public EntLifeMatterQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public EntLifeMatterQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public EntLifeMatterQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public EntLifeMatterQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public EntLifeMatterQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public EntLifeMatterQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  企业生命周期id
     * @param lifeCycleId
     */
    public EntLifeMatterQuery lifeCycleId(Long lifeCycleId){
        setLifeCycleId(lifeCycleId);
        return this;
    }

    /**
     * 设置 开始 企业生命周期id
     * @param lifeCycleIdStart
     */
    public EntLifeMatterQuery lifeCycleIdStart(Long lifeCycleIdStart){
        this.lifeCycleIdStart = lifeCycleIdStart;
        return this;
    }

    /**
     * 设置 结束 企业生命周期id
     * @param lifeCycleIdEnd
     */
    public EntLifeMatterQuery lifeCycleIdEnd(Long lifeCycleIdEnd){
        this.lifeCycleIdEnd = lifeCycleIdEnd;
        return this;
    }

    /**
     * 设置 增加 企业生命周期id
     * @param lifeCycleIdIncrement
     */
    public EntLifeMatterQuery lifeCycleIdIncrement(Long lifeCycleIdIncrement){
        this.lifeCycleIdIncrement = lifeCycleIdIncrement;
        return this;
    }

    /**
     * 设置 企业生命周期id
     * @param lifeCycleIdList
     */
    public EntLifeMatterQuery lifeCycleIdList(List<Long> lifeCycleIdList){
        this.lifeCycleIdList = lifeCycleIdList;
        return this;
    }

    /**
     * 设置 企业生命周期id
     * @param lifeCycleIdNotList
     */
    public EntLifeMatterQuery lifeCycleIdNotList(List<Long> lifeCycleIdNotList){
        this.lifeCycleIdNotList = lifeCycleIdNotList;
        return this;
    }


    /**
     * 设置 生命周期名称
     * @param lifeCycleName
     */
    public EntLifeMatterQuery lifeCycleName(String lifeCycleName){
        setLifeCycleName(lifeCycleName);
        return this;
    }

    /**
     * 设置 生命周期名称
     * @param lifeCycleNameList
     */
    public EntLifeMatterQuery lifeCycleNameList(List<String> lifeCycleNameList){
        this.lifeCycleNameList = lifeCycleNameList;
        return this;
    }

    /**
     * 设置  办理单位ID
     * @param deptId
     */
    public EntLifeMatterQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 办理单位ID
     * @param deptIdStart
     */
    public EntLifeMatterQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 办理单位ID
     * @param deptIdEnd
     */
    public EntLifeMatterQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 办理单位ID
     * @param deptIdIncrement
     */
    public EntLifeMatterQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdList
     */
    public EntLifeMatterQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdNotList
     */
    public EntLifeMatterQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public EntLifeMatterQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public EntLifeMatterQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public EntLifeMatterQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public EntLifeMatterQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public EntLifeMatterQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public EntLifeMatterQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public EntLifeMatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public EntLifeMatterQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置 创建用户名称
     * @param createUserName
     */
    public EntLifeMatterQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
        return this;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public EntLifeMatterQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
        return this;
    }




    /**
     * 设置 事项组名称
     * @param matterGroupName
     */
    public EntLifeMatterQuery matterGroupName(String matterGroupName){
        setMatterGroupName(matterGroupName);
        return this;
    }

    /**
     * 设置 事项组名称
     * @param matterGroupNameList
     */
    public EntLifeMatterQuery matterGroupNameList(List<String> matterGroupNameList){
        this.matterGroupNameList = matterGroupNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<EntLifeMatterQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<EntLifeMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<EntLifeMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<EntLifeMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}